Bug 969180 - consumer history start/end date validation error
consumer history start/end date validation error
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nobody nobody
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 16:19 EDT by Preethi Thomas
Modified: 2013-09-10 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-05-30 16:19:11 EDT
Description of problem:
--start-date & --end-date help says this

 --start-date  - only return entries that occur on or after the given date in
                  iso8601 format (yyyy-mm-ddThh:mm:ssZ)
  --end-date    - only return entries that occur on or before the given date in
                  iso8601 format (yyyy-mm-ddThh:mm:ssZ)


But when I use this


[root@ibm-x3550m3-09 ~]# pulp-admin consumer history --consumer-id sunflower --start-date  2013-05-29T12:00:00Z
Validation failed for argument [--start-date]: value must be a valid iso8601
string with an interval

[root@ibm-x3550m3-09 ~]# pulp-admin consumer history --consumer-id sunflower --end-date  2013-05-31T12:00:00Z
Validation failed for argument [--end-date]: value must be a valid iso8601
string with an interval




Version-Release number of selected component (if applicable):
[root@cloud-qe-7 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.14.alpha.fc18.noarch
[root@cloud-qe-7 ~]# 


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Cline 2013-06-03 09:09:19 EDT
https://github.com/pulp/pulp/pull/506
Comment 2 Jeff Ortel 2013-06-04 11:55:01 EDT
build: 2.2.0-0.1.beta
Comment 3 Preethi Thomas 2013-06-06 09:53:24 EDT
verified
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.1.beta.fc18.noarch
[root@hp-dl360g6-01 ~]# 

[root@hp-dl360g6-01 ~]#  pulp-admin consumer history --consumer-id daisy
+----------------------------------------------------------------------+
                       Consumer History [ daisy ]
+----------------------------------------------------------------------+

Consumer Id:  daisy
Type:         consumer_registered
Details:      None
Originator:   admin
Timestamp:    2013-06-06T13:35:02Z


[root@hp-dl360g6-01 ~]#  pulp-admin consumer history --consumer-id daisy --start-date 2013-06-06T08:00:00Z
+----------------------------------------------------------------------+
                       Consumer History [ daisy ]
+----------------------------------------------------------------------+

Consumer Id:  daisy
Type:         consumer_registered
Details:      None
Originator:   admin
Timestamp:    2013-06-06T13:35:02Z


[root@hp-dl360g6-01 ~]#  pulp-admin consumer history --consumer-id daisy --start-date 2013-06-05T08:00:00Z
+----------------------------------------------------------------------+
                       Consumer History [ daisy ]
+----------------------------------------------------------------------+

Consumer Id:  daisy
Type:         consumer_registered
Details:      None
Originator:   admin
Timestamp:    2013-06-06T13:35:02Z


[root@hp-dl360g6-01 ~]#  pulp-admin consumer history --consumer-id daisy --start-date 2013-06-07T08:00:00Z
+----------------------------------------------------------------------+
                       Consumer History [ daisy ]
+----------------------------------------------------------------------+

[root@hp-dl360g6-01 ~]# 
[root@hp-dl360g6-01 ~]# 
[root@hp-dl360g6-01 ~]#  pulp-admin consumer history --consumer-id daisy --end-date 2013-06-07T08:00:00Z
+----------------------------------------------------------------------+
                       Consumer History [ daisy ]
+----------------------------------------------------------------------+

Consumer Id:  daisy
Type:         consumer_registered
Details:      None
Originator:   admin
Timestamp:    2013-06-06T13:35:02Z


[root@hp-dl360g6-01 ~]#  pulp-admin consumer history --consumer-id daisy --end-date 2013-06-05T08:00:00Z
+----------------------------------------------------------------------+
                       Consumer History [ daisy ]
+----------------------------------------------------------------------+

[root@hp-dl360g6-01 ~]#
Comment 5 Preethi Thomas 2013-09-10 11:43:58 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.